Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1230227 - Review Request: perl-HTTP-Headers-Fast - Faster implementation of HTTP::Headers
Summary: Review Request: perl-HTTP-Headers-Fast - Faster implementation of HTTP::Headers
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 1221832 1230219
TreeView+ depends on / blocked
 
Reported: 2015-06-10 13:05 UTC by Ralf Corsepius
Modified: 2015-09-09 12:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 11:44:32 UTC
ppisar: fedora-review-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1261472 None None None Never

Internal Links: 1261472

Description Ralf Corsepius 2015-06-10 13:05:45 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-HTTP-Headers-Fast.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-HTTP-Headers-Fast-0.17-1.fc23.src.rpm

Description: 
HTTP::Headers::Fast is a perl class for parsing/writing HTTP headers.

Fedora Account System Username: corsepiu

Comment 1 Petr Pisar 2015-08-06 15:13:51 UTC
URL and Source0 address are usable. Ok.
Source archive is original (SHA-256: d7b397e2fc07cfb00c1d9a76ee790f07462a3b2cbeb5fc951dfeb134b0ada867). Ok.
Summary verified from lib/HTTP/Headers/Fast.pm. Ok.
Description verified from lib/HTTP/Headers/Fast.pm. OK.
License verified from lib/HTTP/Headers/Fast.pm and LICENSE. Ok.
No XS code, noarch BuildArch is Ok.

TODO: You can remove the command for deleting empty directories in the %install section.

FIX: Build-require `perl(CPAN::Meta)' (Build.PL:15).
FIX: Build-require `perl(CPAN::Meta::Prereqs)' (Build.PL:16).
FIX: Build-require `perl(File::Basename)' (Build.PL:13).
FIX: Build-require `perl(strict)' (Build.PL:8).
FIX: Build-require `perl(utf8)' (Build.PL:10).
FIX: Build-require `perl(warnings)' (Build.PL:9).
FIX: Build-require `perl(MIME::Base64)' (lib/HTTP/Headers/Fast.pm:466).
FIX: Build-require `perl(Storable)' (lib/HTTP/Headers/Fast.pm:357).
FIX: Build-require `perl(Test)' (t/headers.t:4).

All tests pass. Ok.

$ rpmlint perl-HTTP-Headers-Fast.spec ../SRPMS/perl-HTTP-Headers-Fast-0.17-1.fc24.src.rpm ../RPMS/noarch/perl-HTTP-Headers-Fast-0.17-1.fc24.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-HTTP-Headers-Fast-0.17-1.fc24.noarch.rpm
drwxr-xr-x    2 root    root                        0 Aug  6 17:04 /usr/share/doc/perl-HTTP-Headers-Fast
-rw-r--r--    1 root    root                     1565 Nov 14  2013 /usr/share/doc/perl-HTTP-Headers-Fast/Changes
-rw-r--r--    1 root    root                     2106 Nov 14  2013 /usr/share/doc/perl-HTTP-Headers-Fast/README.md
drwxr-xr-x    2 root    root                        0 Aug  6 17:04 /usr/share/licenses/perl-HTTP-Headers-Fast
-rw-r--r--    1 root    root                    18449 Nov 14  2013 /usr/share/licenses/perl-HTTP-Headers-Fast/LICENSE
-rw-r--r--    1 root    root                     2704 Aug  6 17:04 /usr/share/man/man3/HTTP::Headers::Fast.3pm.gz
drwxr-xr-x    2 root    root                        0 Aug  6 17:04 /usr/share/perl5/vendor_perl/HTTP
drwxr-xr-x    2 root    root                        0 Aug  6 17:04 /usr/share/perl5/vendor_perl/HTTP/Headers
-rw-r--r--    1 root    root                    15132 Aug  6 17:04 /usr/share/perl5/vendor_perl/HTTP/Headers/Fast.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-HTTP-Headers-Fast-0.17-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl >= 0:5.00800
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Run-require `perl(HTTP::Date)' (lib/HTTP/Headers/Fast.pm:365).
FIX: Run-require `perl(MIME::Base64)' (lib/HTTP/Headers/Fast.pm:466).
FIX: Run-require `perl(Storable)' (lib/HTTP/Headers/Fast.pm:357).

$ rpm -q --provides -p ../RPMS/noarch/perl-HTTP-Headers-Fast-0.17-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(HTTP::Headers::Fast) = 0.17
      1 perl-HTTP-Headers-Fast = 0.17-1.fc24
Binary provides are Ok.

Package builds in F24 (http://koji.fedoraproject.org/koji/taskinfo?taskID=10623584). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' items, consider fixing `TODO' items, and provide new spec file.

Resolution: Package NOT approved.

Comment 2 Petr Pisar 2015-08-27 13:11:02 UTC
Any progress? If you don't have time, I could do the package instead of you. I need the package too. Do you want this package in all Fedoras?

Comment 3 Ralf Corsepius 2015-08-28 15:56:41 UTC
(In reply to Petr Pisar from comment #2)
> Any progress?
No. There have been developments in Fedora, mostly centered at redhat.cz, which have caused me not to have continued my works on my recent package submissions.

> Do you want this package in all Fedoras?
Fedora, yes, but I am not interested in EPEL.

Comment 4 Petr Pisar 2015-08-31 06:37:54 UTC
(In reply to Ralf Corsepius from comment #3)
> (In reply to Petr Pisar from comment #2)
> > Any progress?
> No. There have been developments in Fedora, mostly centered at redhat.cz,
> which have caused me not to have continued my works on my recent package
> submissions.
> 
Had the conditions changed so you will continue in the packaging any soon? Or should I mark this review request as dead?

Comment 5 Petr Pisar 2015-09-09 11:44:32 UTC
There was no progress for last month. I close this request.

I will submit corrected packages in a new review.


Note You need to log in before you can comment on or make changes to this bug.